%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate mio

Name:           rust-mio
Version:        0.8.11
Release:    1%{?dist}
Summary:        Lightweight non-blocking I/O

License:        MIT
URL:            https://crates.io/crates/mio
Source0:         %{crates_source}
Patch:          mio-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Lightweight non-blocking I/O.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+net-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+net-devel %{_description}

This package contains library source intended for building other packages which
use the "net" feature of the "%{crate}" crate.

%files       -n %{name}+net-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+os-ext-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+os-ext-devel %{_description}

This package contains library source intended for building other packages which
use the "os-ext" feature of the "%{crate}" crate.

%files       -n %{name}+os-ext-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+os-poll-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+os-poll-devel %{_description}

This package contains library source intended for building other packages which
use the "os-poll" feature of the "%{crate}" crate.

%files       -n %{name}+os-poll-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.11-1
- initial build
